Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.html
Class PopupPanelBaseRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.richfaces.renderkit.RendererBase
              org.richfaces.renderkit.html.PopupPanelBaseRenderer

Direct Known Subclasses:
  PopupPanelRenderer

    public class PopupPanelBaseRenderer

extends RendererBase

Constructor Summary
`PopupPanelBaseRenderer()`

Method Summary
`String` | `buildShowScript(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`void` | `checkOptions(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected void` | `doDecode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Template method for custom decoding of concrete renderer.
`protected Class` | `getComponentClass()` Get base component slass , targetted for this renderer.
`String` | `getContainerStyle(javax.faces.component.UIComponent panel)`
`Map<String,Object>` | `getHandledVisualOptions(javax.faces.component.UIComponent component)`
`protected String` | `getLeftOrDefault(javax.faces.component.UIComponent component)`
`boolean` | `getRendersChildren()`
`String` | `getStyleIfTrimmed(javax.faces.component.UIComponent panel)`
`protected String` | `getTopOrDefault(javax.faces.component.UIComponent component)`
`void` | `renderControlsFacet(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`void` | `renderHeaderFacet(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`

Methods inherited from class org.richfaces.renderkit.RendererBase
`concatClasses, concatStyles, decode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getResourcePath, getSkin, getUtils, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PopupPanelBaseRenderer

    public PopupPanelBaseRenderer()

Method Detail

### renderHeaderFacet

    public void renderHeaderFacet(javax.faces.context.FacesContext context,
                                  javax.faces.component.UIComponent component)
                           throws IOException

  Throws:
    `IOException`

### renderControlsFacet

    public void renderControlsFacet(javax.faces.context.FacesContext context,
                                    javax.faces.component.UIComponent component)
                             throws IOException

  Throws:
    `IOException`

### doDecode

    protected void doDecode(javax.faces.context.FacesContext context,
                            javax.faces.component.UIComponent component)

  Description copied from class: `RendererBase`
  Template method for custom decoding of concrete renderer. All parameters checking if performed in original `decode` method.

  Overrides:
    `doDecode` in class `RendererBase`

### getComponentClass

    protected Class getComponentClass()

  Description copied from class: `RendererBase`
  Get base component slass , targetted for this renderer. Used for check arguments in decode/encode.

  Overrides:
    `getComponentClass` in class `RendererBase`
  Returns:

### checkOptions

    public void checkOptions(javax.faces.context.FacesContext context,
                             javax.faces.component.UIComponent component)

### getRendersChildren

    public boolean getRendersChildren()

  Overrides:
    `getRendersChildren` in class `javax.faces.render.Renderer`

### buildShowScript

    public String buildShowScript(javax.faces.context.FacesContext context,
                                  javax.faces.component.UIComponent component)

### getStyleIfTrimmed

    public String getStyleIfTrimmed(javax.faces.component.UIComponent panel)

### getContainerStyle

    public String getContainerStyle(javax.faces.component.UIComponent panel)

### getHandledVisualOptions

    public Map<String,Object> getHandledVisualOptions(javax.faces.component.UIComponent component)

### getLeftOrDefault

    protected String getLeftOrDefault(javax.faces.component.UIComponent component)

### getTopOrDefault

    protected String getTopOrDefault(javax.faces.component.UIComponent component)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.